API Reference | developer.brewmp.com API Reference | developer.brewmp.com

Developer

API Reference

IBTPBAPCLIENT_SETSECURITY()

Brew Release
Brew MP 1.0.2
See Also
IBTPBAPClient_Connect
Description
This method sets the minimum security level to be enforced for the PCE connections.The minimum security level required by PBAP client is AEEBT_SEC_AUTHENTICATE.
Params
_me
[in]:
the object
cMinSecurity
[in]:
Minimum security level to be applied.
Return
AEE_SUCCESS
[]:
The security setting has been set.
AEE_ENOMEMORY
[]:
no memory
AEE_EBADPARM
[]:
Minimum security level provided is invalid (or not enough)
Interface
Prototype
  •    AEEResult IBTPBAPClient_SetSecurity (IBTPBAPClient* _me, 
                                            BTSecurityLevel cMinSecurity);
    
Side Effect
  • None
Comments
None